B10-HOST(1)

NAME
b10-host - DNS lookup utility

SYNOPSIS

b10-host [-a] [-c class] [-d] [-p port] [-r] [-t type] [-v] [name] [server]

DESCRIPTION

The b10-host utility does DNS lookups. Its initial goal is to be a host(1) clone, but also add a few features useful for BIND 10 development testing.

By default, it looks up the A, AAAA, and MX record sets for the name. Optionally, you may select a name server to query against by adding the server argument.

OPTIONS

The arguments are as follows:

-a
    Enable verbose mode and do a query for type ANY. (If the -t option is also set, then the ANY query is not done, but it still uses verbose mode.)

-c class
    Define the class for the query. The default is IN (Internet).

-d
    Enable verbose output mode, including elapsed time in milliseconds. Verbose mode shows the header, question, answer, authority, and additional sections (if provided). (Same as -v.)

-p port
    Select an alternative port for the query. This may be a number or a service name. The default is 53 (domain). This is not a standard feature of host(1).

-r
    Disable recursive processing by not setting the Recursion Desired flag in the query.

-t type
    Select a specific resource record type for the query. By default, it looks up the A, AAAA, and MX record sets. (This overrides the -a option.)

-v
    Same as -d option.

COMPATIBILITY / BUGS

b10-host does not do reverse lookups by default yet (by detecting if name is a IPv4 or IPv6 address).

Unknown -c class or -t type causes b10-host to Abort.

Not all types are supported yet for formatting. Not all switches are supported yet.

It doesn't use /etc/resolv.conf at this time. The default name server used is 127.0.0.1.

b10-host does not do reverse lookups by default yet (by detecting if name is a IPv4 or IPv6 address).

-p is not a standard feature.

HISTORY

The C++ version of b10-host was started in October 2009 by Jeremy C. Reed of ISC. Its usage and output were based on the standard host command.

COPYRIGHT
Copyright © 2011 Internet Systems Consortium, Inc. ("ISC")